Bug 523140 - CRITICAL:yum.main: Error: rpmdb open failed
Summary: CRITICAL:yum.main: Error: rpmdb open failed
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 08:55 UTC by Michal Nowak
Modified: 2014-01-21 23:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 14:28:21 UTC


Attachments (Terms of Use)

Description Michal Nowak 2009-09-14 08:55:14 UTC
Description of problem:


I was running debuginfo-install and it took so long that I have to SIGKILL it, now, when I run yum upgrade, it fails like this:

newman abrt-root $ sudo yum upgrade
rpmdb: Thread/process 25047/3087275712 failed: Thread died in Berkeley DB library
error: db4 error(-30974) from dbenv->failchk: DB_RUNRECOVERY: Fatal error, run database recovery
error: cannot open Packages index using db3 -  (-30974)
error: cannot open Packages database in /var/lib/rpm
/usr/lib/python2.6/site-packages/yum/config.py:894: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  raise Errors.YumBaseError("Error: " + e.message)
CRITICAL:yum.main:

Error: rpmdb open failed

newman abrt-root $ ps axu | grep rpm
newman   25126  0.0  0.0   4244   736 pts/0    S+   10:51   0:00 grep --color=auto rpm
newman abrt-root $ ps axu | grep yum
newman   25128  0.0  0.0   4244   736 pts/0    S+   10:51   0:00 grep --color=auto yum
newman abrt-root $ cat /var/loc
local/ lock/  
newman abrt-root $ cat /var/lock/yum*
cat: /var/lock/yum*: No such file or directory

Looks like the rpmdb is broken somehow, but can the output from yum be enhanced a bit? Removing the code making DeprecationWarning and having the CRITICAL msg a bit shaped would be nice.

Version-Release number of selected component (if applicable):

yum-3.2.24-3.fc12.noarch
rpm-4.7.1-4.fc12.i686
yum-utils-1.1.23-3.fc12.noarch

Comment 1 seth vidal 2009-09-15 16:46:18 UTC
there are multiple things going on here.

normally yum would exit with:
Critical: yum.main:
  Error: rpmdb open failed

however b/c of a change in python there is a deprecation warning that is being emitted and, I guess, that's what is triggering abrt?

Comment 2 Michal Nowak 2009-09-16 09:11:38 UTC
Nothing triggered abrt, I was just in abrt's local root dir at that time :).

So, I guess I'd be glad than if yum got rid of the deprecation warning.

Comment 4 seth vidal 2009-09-17 14:28:21 UTC
Both are now fixed upstream.


Note You need to log in before you can comment on or make changes to this bug.